# Uses of Enum Class
org.apache.cxf.service.factory.FactoryBeanListener.Event

Packages that use FactoryBeanListener.Event
Package
Description
org.apache.cxf.service.factory

- ## Uses of FactoryBeanListener.Event in org.apache.cxf.service.factory

  Methods in org.apache.cxf.service.factory that return FactoryBeanListener.Event
  Modifier and Type
  Method
  Description
  `static FactoryBeanListener.Event`
  FactoryBeanListener.Event.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FactoryBeanListener.Event[]`
  FactoryBeanListener.Event.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.cxf.service.factory with parameters of type FactoryBeanListener.Event
  Modifier and Type
  Method
  Description
  `void`
  AnnotationsFactoryBeanListener.`handleEvent(FactoryBeanListener.Event ev, AbstractServiceFactoryBean factory, Object... args)`
  `void`
  FactoryBeanListener.`handleEvent(FactoryBeanListener.Event ev, AbstractServiceFactoryBean factory, Object... args)`
  `void`
  OldLoggingFactoryBeanListener.`handleEvent(FactoryBeanListener.Event ev, AbstractServiceFactoryBean factory, Object... args)`
  `void`
  AbstractServiceFactoryBean.`sendEvent(FactoryBeanListener.Event ev, Object... args)`